mail::ACCOUNT::getFolderIndexSize
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::getFolderIndexSize — Return number of messages in the current folder

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

`size_t messageCount=mail->getFolderIndexSize(` | `void)`; |

## USAGE

`mail::ACCOUNT::getFolderIndexSize` returns the number of messages in the currently open folder. Messages in the folder are numbered starting with zero, and ending with one less than the number returned by this function.

For example, if `mail::ACCOUNT::getFolderIndexSize` returns 5 it means that there are five messages in the folder, numbered 0 through 4.

## RETURN CODES AND CALLBACKS

This function always succeeds, and returns the number of messages in the currently-open folder.

## SEE ALSO

mail::ACCOUNT::getFolderIndexInfo(3x), mail::ACCOUNT::openFolder(3x)

Prev | Up | Next
mail::ACCOUNT::getFolderIndexInfo | Home | ToC | mail::ACCOUNT::getFolderFromPath